#include "MainBaseTemplate.h"


//************************************
// Method:    MainBaseTemplate
// FullName:  MainBaseTemplate::MainBaseTemplate
// Access:    public 
// Returns:   
// Parameter: BaseModel * base
// Comments:  none
//************************************
MainBaseTemplate::MainBaseTemplate( BaseModel* base )
{
	subject = base;
}



//************************************
// Method:    update
// FullName:  MainBaseTemplate::update
// Access:    virtual public 
// Returns:   void
// Comments:  none
//************************************
void MainBaseTemplate::update()
{
	int curSupply = Broodwar->self()->supplyUsed()/2;
	int curMinerals = Broodwar->self()->minerals();
	int curGas = Broodwar->self()->gas();







}